=== debian/changelog ===
mesa (7.1~RC3-0maemo1-recomp1) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix -recomp1 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Thu, 13 Nov 2008 13:50:52 +0200

mesa (7.1~RC3-0maemo1) unstable; urgency=low

  * Initial packaging.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 31 Jul 2008 10:19:19 +0300
