=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_TAR_SRCDIR := Mesa-7.1-rc3
include /usr/share/cdbs/1/rules/tarball.mk

DEB_CONFIGURE_EXTRA_FLAGS := --with-driver=xlib --disable-glw

DEB_DH_STRIP_ARGS := --dbg-package=libgl1
